Name:           python-dask-gateway-server
Version:        2025.4.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A multi-tenant server for securely deploying and managing multiple Dask clusters.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/dask/dask-gateway/
Source:         %{pypi_source dask_gateway_server}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dask-gateway-server' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dask-gateway-server
Summary:        %{summary}

%description -n python3-dask-gateway-server %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-dask-gateway-server all-backends,jobqueue,kerberos,kubernetes,local,yarn


%prep
%autosetup -p1 -n dask_gateway_server-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all-backends,jobqueue,kerberos,kubernetes,local,yarn


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dask-gateway-server -f %{pyproject_files}


%changelog
%autochangelog